org.springframework.context.index.processor

## Class CandidateComponentsIndexer

- java.lang.Object
- - org.springframework.context.index.processor.CandidateComponentsIndexer

All Implemented Interfaces:
  Processor

    public class CandidateComponentsIndexer
    extends Object
    implements Processor

Annotation `Processor` that writes `CandidateComponentsMetadata` file for spring components.

Since:
  5.0
Author:
  Stephane Nicoll, Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`CandidateComponentsIndexer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<? extends Completion>` `getCompletions(Element element, AnnotationMirror annotation, ExecutableElement member, String userText)`
`Set<String>` `getSupportedAnnotationTypes()`
`Set<String>` `getSupportedOptions()`
`SourceVersion` `getSupportedSourceVersion()`
`void` `init(ProcessingEnvironment env)`
`boolean` `process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CandidateComponentsIndexer

    public CandidateComponentsIndexer()

### Method Detail

#### getSupportedOptions

    public Set<String> getSupportedOptions()

Specified by:
  `getSupportedOptions` in interface `Processor`

#### getSupportedAnnotationTypes

    public Set<String> getSupportedAnnotationTypes()

Specified by:
  `getSupportedAnnotationTypes` in interface `Processor`

#### getSupportedSourceVersion

    public SourceVersion getSupportedSourceVersion()

Specified by:
  `getSupportedSourceVersion` in interface `Processor`

#### init

    public void init(ProcessingEnvironment env)

Specified by:
  `init` in interface `Processor`

#### process

    public boolean process(Set<? extends TypeElement> annotations,
                           RoundEnvironment roundEnv)

Specified by:
  `process` in interface `Processor`

#### getCompletions

    public Iterable<? extends Completion> getCompletions(Element element,
                                                         AnnotationMirror annotation,
                                                         ExecutableElement member,
                                                         String userText)

Specified by:
  `getCompletions` in interface `Processor`